Subject: Re: bug#72792: error: activate-privileged-programs: unbound variable

From: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Sep 2024 15:06:50 +0200

Hi Roman,

Roman Scherer <[email-masked]> skribis:

> with the latest commit on master 
>
> ```
> root@guix ~# guix describe
> Generation 13   Aug 24 2024 13:19:20    (current)
>   guix d48af5c
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: d48af5cca84914d44b032d0bf0820640ebbe7a4b
> ```
>
> I can't reconfigure my system anymore. The variable
> activate-privileged-programs seems to be unbound somewhere.
>
> This is the full log from reconfiguring my system:
>
> ```
> root@guix ~# guix system reconfigure -L src src/asahi/guix/systems/server.scm  --allow-downgrades

[...]

> In guix/scripts/system.scm:
>    884:13 11 (_ _)
>    788:14 10 (_ _)
> In ice-9/boot-9.scm:
>     152:2  9 (with-fluid* _ _ _)
> In unknown file:
>            8 (primitive-load "/gnu/store/456faiiwzb4d79mhiwpswkgx259…")
>            7 (primitive-load "/gnu/store/5w1czfglxfvnizjj76x5jz09vwh…")
> In ice-9/boot-9.scm:
>    260:13  6 (for-each #<procedure primitive-load (_)> _)
> In unknown file:
>            5 (primitive-load "/gnu/store/7dkzgrc8jdsw03wyv33y95js3if…")
> In ice-9/eval.scm:
>    182:19  4 (proc #(#<directory (guile-user) ffff8e718c80> "/gnu/…"))
>    142:16  3 (compile-top-call #<directory (guile-user) ffff8e718c80> …)
> In unknown file:
>            2 (%resolve-variable (7 . activate-privileged-programs) #)
> In ice-9/boot-9.scm:
>   1685:16  1 (raise-exception _ #:continuable? _)
>   1685:16  0 (raise-exception _ #:continuable? _)
>
> ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> error: activate-privileged-programs: unbound variable

I did not hit this issue nor did I hear about it recently, so hopefully
this is a solved problem?  Tobias?

Ludo’.